File: changelog

package info (click to toggle)
postgis-java 1:2.3.0-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 748 kB
  • sloc: java: 4,890; xml: 738; makefile: 16; sh: 12
file content (148 lines) | stat: -rw-r--r-- 5,042 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
postgis-java (1:2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years for Phillip Ross.
  * Refresh patches.
  * Strip trailing slash from Vcs-Browser URL.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Nov 2018 09:45:20 +0100

postgis-java (1:2.2.1-9) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1, no changes.
  * Update watch file to limit matches to archive path.
  * Use postgresql-postgis in Suggests instead of version specific package.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 14 Oct 2018 09:35:25 +0200

postgis-java (1:2.2.1-8) unstable; urgency=medium

  * Bump Standards-Version to 4.1.5, no changes.
  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 16:00:29 +0200

postgis-java (1:2.2.1-7) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Bump Standards-Version to 4.1.4, no changes.
  * Drop obsolete get-orig-source target.
  * Strip trailing whitespace from changelog & rules files.
  * Add patch to fix FTBFS with libpostgresql-jdbc-java 42.2.2.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Jun 2018 20:08:47 +0200

postgis-java (1:2.2.1-6) unstable; urgency=medium

  * Update copyright-format URL to use HTTPS.
  * Fix typo in patch description.
  * Drop explicit build dependency on openjdk-8-jdk-headless.
    (closes: #894354)
  * Bump Standards-Version to 4.1.3, no changes.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Mar 2018 14:42:04 +0200

postgis-java (1:2.2.1-5) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 30 Sep 2017 11:16:01 +0200

postgis-java (1:2.2.1-5~exp1) experimental; urgency=medium

  * Update dependencies for postgresql 10 & postgis 2.4.
  * Bump Standards-Version to 4.1.0, no changes.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 24 Sep 2017 23:01:13 +0200

postgis-java (1:2.2.1-4) unstable; urgency=medium

  * Add junit4 to build dependencies.
    (closes: #869274)
  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Jul 2017 12:01:07 +0200

postgis-java (1:2.2.1-3) unstable; urgency=medium

  * Update maven.rules for new libpgjava.
    (closes: #851019)
  * Drop sqlexception.patch, not required for new libpgjava (postgresql-jdbc).

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jan 2017 21:50:57 +0100

postgis-java (1:2.2.1-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Sep 2016 21:33:24 +0200

postgis-java (1:2.2.1-2~exp1) experimental; urgency=medium

  * Switch to headless variant for jdk dependencies.
  * Update dependencies for postgresql 9.6 & postgis 2.3.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Sep 2016 16:04:34 +0200

postgis-java (1:2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes.
  * Refresh patches.
  * Update maven.rules for postgresql-jdbc.
  * Add patch to declare SQLException to fix build failure.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 Jul 2016 10:54:56 +0200

postgis-java (1:2.2.0-3) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Update build dependencies for OpenJDK 8.
    (closes: #814173)
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Feb 2016 22:34:28 +0100

postgis-java (1:2.2.0-2) unstable; urgency=medium

  * Update suggested dependency for PostgreSQL 9.5 and PostGIS 2.2.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jan 2016 21:08:19 +0100

postgis-java (1:2.2.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Dec 2015 22:09:51 +0100

postgis-java (1:2.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Drop copyright holders for removed ejb{2,3} files
    - Drop unused license paragraph
  * Use default JVM for JAVA_HOME.
  * Rely on dh_auto_* defaults for maven buildsystem.
  * Use uscan in get-orig-source target.
  * Add patch to fix upstream version in pom.xml.
  * Trim build dependencies to those required for postgis-jdbc only.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Nov 2015 19:19:02 +0100

postgis-java (1:2.1.7.2-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Nov 2015 00:35:52 +0100

postgis-java (1:2.1.7.1-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #800330)

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Sep 2015 23:32:53 +0200